<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2023-12-01/jpcrp_rt_2023-12-01.xsd#rol_altLabel" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" />
  <link:roleRef xlink:type="simple" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#at1" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt2/role/label" />
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2023-12-01/jpcrp_rt_2023-12-01.xsd#rol_SegmentLabel" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/Segment/role/label" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_AraiYukoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Arai, Yuko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_AraiYukoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Arai, Yuko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Changes in non-controlling interests as a result of change in scope of consolidation</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Changes in non-controlling interests as a result of change in scope of consolidation-SS (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract_label" xlink:role="http://www.xbrl.org/2003/role/label">Equity financial assets measured at fair value through other comprehensive income</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Equity financial assets measured at fair value through other comprehensive income, Dividend income (IFRS) [abstract]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Financial assets derecognized during the period</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Financial assets derecognized during the period, Equity financial assets measured at fair value through other comprehensive income, Dividend income (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Financial assets held at the end of the period</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Financial assets held at the end of the period, Equity financial assets measured at fair value through other comprehensive income, Dividend income (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Fujioka, Takahiro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Fujioka, Takahiro [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain on sale of tangible assets and intangible assets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain on sale of tangible assets and intangible assets, Other income (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_GtoNaohideMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Gto, Naohide</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_GtoNaohideMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gto, Naohide [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Hagane Company</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Hagane Company, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in other current liabilities</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase (decrease) in other current liabilities-OpeCF (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Increase in property, plant and equipment, and intangible assets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase in property, plant and equipment, and intangible assets (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Intangible assets in progress</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Intangible assets in progress, Accumulated amortization and impairment losses (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Intangible assets in progress</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Intangible assets in progress, Acquisition cost (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Intangible assets in progress</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Intangible assets in progress (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IshiiNaokiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ishii, Naoki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_IshiiNaokiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ishii, Naoki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kitaeru Company</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kitaeru Company, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_KumazawaSotaroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kumazawa, Sotaro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_KumazawaSotaroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kumazawa, Sotaro [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Loss on disposal and sale of property, plant and equipment and intangible assets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Loss on disposal and sale of property, plant and equipment and intangible assets, Other expenses (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Loss on sale of miscellaneous goods</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Loss on sale of miscellaneous goods, Other expenses (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nakamura, Motoshi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nakamura, Motoshi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding reduction entry</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding reduction entry [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OgawaMasamichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ogawa, Masamichi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OgawaMasamichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ogawa, Masamichi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ogura, Katsuyuki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ogura, Katsuyuki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OthersIFRSAbstract_label" xlink:role="http://www.xbrl.org/2003/role/label">Others</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_OthersIFRSAbstract_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Others (IFRS) [abstract]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Payments for disposal of property, plant and equipment</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Payments for disposal of property, plant and equipment-InvCF (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information, Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Smart Company</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Smart Company, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Stainless Company</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Stainless Company, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Subsidy income</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Subsidy income, Other income (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_YasuiKoichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yasui, Koichi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_YasuiKoichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yasui, Koichi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_YokotaHirohumiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yokota, Hirohumi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01234-000_YokotaHirohumiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yokota, Hirohumi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Financial assets measured at fair value through other comprehensive income</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember_label_1" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt2/role/label">Financial assets measured at fair value through other comprehensive income</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Financial assets measured at fair value through other comprehensive income</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_ItemsThatMayBeReclassifiedToProfitOrLossOCIIFRSAbstract_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Items that may be reclassified to profit or loss</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_ItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRSAbstract_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Items that will not be reclassified to profit or loss</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_NetChangeInFairValueOfEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Net change in fair value of equity instruments designated as measured at fair value through other comprehensive income</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_OperatingProfitLossIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/Segment/role/label">Operating profit (loss)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_PackingAndTransportationExpensesIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Packing and transportation costs</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_ProfitLossIFRS_label" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Profit (loss)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Software</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_SoftwareAcquisitionCostIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Software</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_SoftwareIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Software</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_TotalTransactionsWithOwnersIFRS_label" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total transactions with owners</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_TransactionsWithOwnersIFRSAbstract_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Transactions with owners</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember" xlink:label="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS" xlink:label="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_ItemsThatMayBeReclassifiedToProfitOrLossOCIIFRSAbstract" xlink:label="jpigp_cor_ItemsThatMayBeReclassifiedToProfitOrLossOCIIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_ItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRSAbstract" xlink:label="jpigp_cor_ItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_NetChangeInFairValueOfEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS" xlink:label="jpigp_cor_NetChangeInFairValueOfEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_OperatingProfitLossIFRS" xlink:label="jpigp_cor_OperatingProfitLossIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_PackingAndTransportationExpensesIFRS" xlink:label="jpigp_cor_PackingAndTransportationExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_ProfitLossIFRS" xlink:label="jpigp_cor_ProfitLossIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:label="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_SoftwareAcquisitionCostIFRS" xlink:label="jpigp_cor_SoftwareAcquisitionCostIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_SoftwareIFRS" xlink:label="jpigp_cor_SoftwareIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_TotalTransactionsWithOwnersIFRS" xlink:label="jpigp_cor_TotalTransactionsWithOwnersIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2023-12-01/jpigp_cor_2023-12-01.xsd#jpigp_cor_TransactionsWithOwnersIFRSAbstract" xlink:label="jpigp_cor_TransactionsWithOwnersIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_AraiYukoMember" xlink:label="jpcrp030000-asr_E01234-000_AraiYukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS" xlink:label="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract" xlink:label="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:label="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_FujiokaTakahiroMember" xlink:label="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS" xlink:label="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_GtoNaohideMember" xlink:label="jpcrp030000-asr_E01234-000_GtoNaohideMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember" xlink:label="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS" xlink:label="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS" xlink:label="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS" xlink:label="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_IshiiNaokiMember" xlink:label="jpcrp030000-asr_E01234-000_IshiiNaokiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember" xlink:label="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_KumazawaSotaroMember" xlink:label="jpcrp030000-asr_E01234-000_KumazawaSotaroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS" xlink:label="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS" xlink:label="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_NakamuraMotoshiMember" xlink:label="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock" xlink:label="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_OgawaMasamichiMember" xlink:label="jpcrp030000-asr_E01234-000_OgawaMasamichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_OguraKatsuyukiMember" xlink:label="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_OthersIFRSAbstract" xlink:label="jpcrp030000-asr_E01234-000_OthersIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS" xlink:label="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics" xlink:label="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember" xlink:label="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember" xlink:label="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS" xlink:label="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_YasuiKoichiMember" xlink:label="jpcrp030000-asr_E01234-000_YasuiKoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01234-000_2024-03-31_01_2024-06-27.xsd#jpcrp030000-asr_E01234-000_YokotaHirohumiMember" xlink:label="jpcrp030000-asr_E01234-000_YokotaHirohumiMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_AraiYukoMember" xlink:to="jpcrp030000-asr_E01234-000_AraiYukoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_AraiYukoMember" xlink:to="jpcrp030000-asr_E01234-000_AraiYukoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS" xlink:to="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS" xlink:to="jpcrp030000-asr_E01234-000_ChangesInNonControllingInterestsAsAResultOfChangeInScopeOfConsolidationSSIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract" xlink:to="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract" xlink:to="jpcrp030000-asr_E01234-000_EquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_FinancialAssetsDerecognizedDuringThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_FinancialAssetsHeldAtTheEndOfThePeriodEquityFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember" xlink:to="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember" xlink:to="jpcrp030000-asr_E01234-000_FujiokaTakahiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_GainOnSaleOfTangibleAssetsAndIntangibleAssetsOtherIncomeIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_GtoNaohideMember" xlink:to="jpcrp030000-asr_E01234-000_GtoNaohideMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_GtoNaohideMember" xlink:to="jpcrp030000-asr_E01234-000_GtoNaohideMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_HaganeCompanyReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS" xlink:to="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS" xlink:to="jpcrp030000-asr_E01234-000_IncreaseDecreaseInOtherCurrentLiabilitiesOpeCFIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS" xlink:to="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS" xlink:to="jpcrp030000-asr_E01234-000_IncreaseInPropertyPlantAndEquipmentAndIntangibleAssetsIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAccumulatedAmortizationAndImpairmentLossesIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressAcquisitionCostIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS" xlink:to="jpcrp030000-asr_E01234-000_IntangibleAssetsInProgressIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IshiiNaokiMember" xlink:to="jpcrp030000-asr_E01234-000_IshiiNaokiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_IshiiNaokiMember" xlink:to="jpcrp030000-asr_E01234-000_IshiiNaokiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_KitaeruCompanyReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_KumazawaSotaroMember" xlink:to="jpcrp030000-asr_E01234-000_KumazawaSotaroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_KumazawaSotaroMember" xlink:to="jpcrp030000-asr_E01234-000_KumazawaSotaroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS" xlink:to="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS" xlink:to="jpcrp030000-asr_E01234-000_LossOnDisposalAndSaleOfPropertyPlantAndEquipmentAndIntangibleAssetsOtherExpensesIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS" xlink:to="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS" xlink:to="jpcrp030000-asr_E01234-000_LossOnSaleOfMiscellaneousGoodsOtherExpensesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember" xlink:to="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember" xlink:to="jpcrp030000-asr_E01234-000_NakamuraMotoshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock" xlink:to="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock" xlink:to="jpcrp030000-asr_E01234-000_NotesRegardingReductionEntryTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OgawaMasamichiMember" xlink:to="jpcrp030000-asr_E01234-000_OgawaMasamichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OgawaMasamichiMember" xlink:to="jpcrp030000-asr_E01234-000_OgawaMasamichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember" xlink:to="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember" xlink:to="jpcrp030000-asr_E01234-000_OguraKatsuyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OthersIFRSAbstract" xlink:to="jpcrp030000-asr_E01234-000_OthersIFRSAbstract_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_OthersIFRSAbstract" xlink:to="jpcrp030000-asr_E01234-000_OthersIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS" xlink:to="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS" xlink:to="jpcrp030000-asr_E01234-000_PaymentsForDisposalOfPropertyPlantAndEquipmentInvCFIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics" xlink:to="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics" xlink:to="jpcrp030000-asr_E01234-000_ReferenceToOtherInformationDescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetrics_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_SmartCompanyReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember" xlink:to="jpcrp030000-asr_E01234-000_StainlessCompanyReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS" xlink:to="jpcrp030000-asr_E01234-000_SubsidyIncomeOtherIncomeIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_YasuiKoichiMember" xlink:to="jpcrp030000-asr_E01234-000_YasuiKoichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_YasuiKoichiMember" xlink:to="jpcrp030000-asr_E01234-000_YasuiKoichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_YokotaHirohumiMember" xlink:to="jpcrp030000-asr_E01234-000_YokotaHirohumiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01234-000_YokotaHirohumiMember" xlink:to="jpcrp030000-asr_E01234-000_YokotaHirohumiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember" xlink:to="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember" xlink:to="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeIFRSMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS" xlink:to="jpigp_cor_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatMayBeReclassifiedToProfitOrLossOCIIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_ItemsThatMayBeReclassifiedToProfitOrLossOCIIFRSAbstract" xlink:to="jpigp_cor_ItemsThatMayBeReclassifiedToProfitOrLossOCIIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_ItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRSAbstract" xlink:to="jpigp_cor_ItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_NetChangeInFairValueOfEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS" xlink:to="jpigp_cor_NetChangeInFairValueOfEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTaxItemsThatWillNotBeReclassifiedToProfitOrLossOCIIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_OperatingProfitLossIFRS" xlink:to="jpigp_cor_OperatingProfitLossIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_PackingAndTransportationExpensesIFRS" xlink:to="jpigp_cor_PackingAndTransportationExpensesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_ProfitLossIFRS" xlink:to="jpigp_cor_ProfitLossIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareAcquisitionCostIFRS" xlink:to="jpigp_cor_SoftwareAcquisitionCostIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareIFRS" xlink:to="jpigp_cor_SoftwareIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_TotalTransactionsWithOwnersIFRS" xlink:to="jpigp_cor_TotalTransactionsWithOwnersIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_TransactionsWithOwnersIFRSAbstract" xlink:to="jpigp_cor_TransactionsWithOwnersIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>